Search documentation of ash

# View Source Ash.Resource.Actions.Action (ash v3.4.30)

Represents a custom action on a resource.

# Summary

## Types

t()

## Functions

transform(action)

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Actions.Action{
      allow_nil?: boolean(),
      arguments: [Ash.Resource.Actions.Argument.t()],
      constraints: Keyword.t(),
      description: String.t() | nil,
      name: atom(),
      primary?: boolean(),
      returns: Ash.Type.t() | nil,
      run: {module(), Keyword.t()},
      skip_unknown_inputs: [atom() | String.t()],
      touches_resources: [Ash.Resource.t()],
      transaction?: boolean(),
      type: :action
    }

# Functions

Link to this function

# transform(action)

View Source